Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.light
Class SunSkyToDirectionalLightWrapper

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.imp3d.objects.LightBase
              de.grogra.imp3d.objects.DirectionalLight
                  de.grogra.imp3d.glsl.light.SunSkyToDirectionalLightWrapper

All Implemented Interfaces:
  Raytraceable, Manageable, Shareable, Emitter, Light, Scattering

    public class SunSkyToDirectionalLightWrapper

extends DirectionalLight

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.imp3d.objects.DirectionalLight
`DirectionalLight.Type`

Field Summary

Fields inherited from class de.grogra.imp3d.objects.DirectionalLight
`$TYPE, powerDensity$FIELD`

Fields inherited from class de.grogra.imp3d.objects.LightBase
`color$FIELD, shadowless$FIELD`

Fields inherited from interface de.grogra.ray.physics.Light
`AMBIENT, AREA, DIRECTIONAL, NO_LIGHT, POINT, SKY`

Fields inherited from interface de.grogra.ray.physics.Scattering
`DELTA_FACTOR, IS_NON_OPAQUE, MIN_UNUSED_FLAG, NEEDS_NORMAL, NEEDS_POINT, NEEDS_TANGENTS, NEEDS_TRANSFORMATION, NEEDS_UV, RANDOM_RAYS_GENERATE_ORIGINS`

Constructor Summary
`SunSkyToDirectionalLightWrapper()`

Method Summary
`RGBColor` | `getColor()`
`void` | `setCurcol(Vector3f in)`

Methods inherited from class de.grogra.imp3d.objects.DirectionalLight
`accept, computeBSDF, computeExitance, createRaytracerLeaf, draw, generateRandomOrigins, generateRandomRays, getLightType, getManageableType, getPowerDensity, getTotalPower, setPowerDensity`

Methods inherited from class de.grogra.imp3d.objects.LightBase
`completeRay, getAverageColor, getFlags, isIgnoredWhenHit, isShadowless, setShadowless`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SunSkyToDirectionalLightWrapper

    public SunSkyToDirectionalLightWrapper()

Method Detail

### getColor

    public RGBColor getColor()

  Overrides:
    `getColor` in class `LightBase`

### setCurcol

    public void setCurcol(Vector3f in)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD